C  this program was written to test whether a subroutine
C  could be placed internally in a program
          K = 5
          J = 27
          WRITE (6, 10) K, J
          CALL SWAP (K,J)

   10     FORMAT (1X,  I5, I5)
          WRITE (6, 10) K, J
         SUBROUTINE SWAP ( M,N)
             ITEMP = M
             M = N
             N = ITEMP
         RETURN
         END

          WRITE (6, 10) K, J
          STOP
          END
